# Information Schema GLOBAL\_STATUS and SESSION\_STATUS Tables

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `GLOBAL_STATUS` and `SESSION_STATUS` tables store a record of all [status variables](/docs/server/server-management/variables-and-modes/server-status-variables.md) and their global and session values respectively. This is the same information as displayed by the [SHOW STATUS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-status.md) commands `SHOW GLOBAL STATUS` and `SHOW SESSION STATUS`.

They contain the following columns:

| Column          | Description              |
| --------------- | ------------------------ |
| VARIABLE\_NAME  | Status variable name.    |
| VARIABLE\_VALUE | Global or session value. |

## Example

```sql
SELECT * FROM information_schema.GLOBAL_STATUS;
+-----------------------------------------------+--------------------+
| VARIABLE_NAME                                 | VARIABLE_VALUE     |
+-----------------------------------------------+--------------------+
...
| BINLOG_SNAPSHOT_FILE                          | mariadb-bin.000208 |
| BINLOG_SNAPSHOT_POSITION                      | 369                |
...
| THREADS_CONNECTED                             | 1                  |
| THREADS_CREATED                               | 1                  |
| THREADS_RUNNING                               | 1                  |
| UPTIME                                        | 57358              |
| UPTIME_SINCE_FLUSH_STATUS                     | 57358              |
+-----------------------------------------------+--------------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-global_status-and-session_status-tables.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
